Control Plane APIApplications
POST
/v1/applications

Create a new application.

Query Parameters

name?string

Mandatory application display name @example "Payment Gateway"

capabilities?array<string>

Capabilities to create along with the application @example ["payments", "transfers"]

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/applications"
{  "application": {    "applicationCapabilities": [      {        "archivedAt": "2019-08-24T14:15:22Z",        "createdAt": "2019-08-24T14:15:22Z",        "id": "string",        "name": "string",        "updatedAt": "2019-08-24T14:15:22Z"      }    ],    "archived": true,    "archivedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "id": "string",    "name": "string",    "nonProductionRuntimeKey": "string",    "productionRuntimeKey": "string",    "updatedAt": "2019-08-24T14:15:22Z"  }}